Bug 973254 (CVE-2013-2173) - CVE-2013-2173 wordpress: DoS when computing user-input hash for certain password protected blogs
Summary: CVE-2013-2173 wordpress: DoS when computing user-input hash for certain passw...
Status: CLOSED UPSTREAM
Alias: CVE-2013-2173
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20130607,repor...
Keywords: Security
: 973386 (view as bug list)
Depends On: 973256 973257
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-11 14:47 UTC by Jan Lieskovsky
Modified: 2019-06-10 11:00 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2019-06-10 11:00:44 UTC


Attachments (Terms of Use)

Description Jan Lieskovsky 2013-06-11 14:47:34 UTC
A denial of service flaw was found in the way Wordpress, a blog tool and publishing platform, performed hash computation when checking password for password protected blog posts. A remote attacker could provide a specially-crafted input that, when processed by the password checking mechanism of Wordpress would lead to excessive CPU consumption.

References:
[1] http://www.openwall.com/lists/oss-security/2013/06/11/3
[2] https://vndh.net/note:wordpress-351-denial-service
    (contains also reproducer & patch proposal)
[3] https://github.com/wpscanteam/wpscan/issues/219

Comment 1 Jan Lieskovsky 2013-06-11 14:49:45 UTC
This issue affects the versions of the wordpress package, as shipped with Fedora release of 17, 18, Fedora EPEL-5 and Fedora EPEL-6. Please schedule an update (once there is final upstream patch available [should upstream confirm the patch proposal as working or come with own one]).

Comment 2 Jan Lieskovsky 2013-06-11 14:51:31 UTC
Created wordpress tracking bugs for this issue

Affects: fedora-all [bug 973256]
Affects: epel-all [bug 973257]

Comment 3 Jan Lieskovsky 2013-06-12 09:04:44 UTC
*** Bug 973386 has been marked as a duplicate of this bug. ***

Comment 4 Jan Lieskovsky 2013-06-13 14:04:46 UTC
The CVE identifier of CVE-2013-2173 has been assigned to this issue:
  http://www.openwall.com/lists/oss-security/2013/06/12/3

Comment 5 Vincent Danen 2013-06-22 16:40:58 UTC
External References:

http://codex.wordpress.org/Version_3.5.2

Comment 6 Fedora Update System 2013-07-03 01:35:57 UTC
wordpress-3.5.2-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2013-07-03 01:37:37 UTC
wordpress-3.5.2-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2013-07-03 01:38:49 UTC
wordpress-3.5.2-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2013-07-10 22:03:20 UTC
wordpress-3.5.2-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2013-07-10 22:05:48 UTC
wordpress-3.5.2-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Product Security DevOps Team 2019-06-10 11:00:44 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.